﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RBG_Server
{
    /// <summary>
    /// Contains all communication data, from both the client's and server's perspective (should be able to switch between each mode as necessary)
    /// </summary>
    public class CommunicationHandler
    {
        
        /// <summary>
        /// Image data is stored in memory in a dictionary collection. Each byte[] represents an image file, compressed according to its file type;
        /// which helps save space in memory. Uses a CachedByteArray; essentially a normal byte array but automatically stored on disk if it is larger
        /// than a set size.
        /// This limit can be changed at any time
        /// </summary>
        public ConcurrentDictionary<string, CachedByteArray> ImageCollection { get; } = new();
    }
}
